body {
    margin: 0;
    display: grid;
    height: 100vh;
    font-family: 'Montserrat', sans-serif;
}

header {
    display: flex;
    justify-content: center;
    align-items: center;
}


header h1 {
    position: absolute;
    text-align: center;
    color: white;
    text-shadow: 0px 5px 5px black;
} 

.src-image-header {
    position: absolute;
    left: 325px;
    bottom: 0px;
    font-size: 0.8em;
    color: rgb(188, 181, 181);
}

nav {
    background-color: white;
    display: flex;
}


.menu-nav ul {
    list-style-type: none;
}

.menu-nav a {
    text-decoration: none;
    color: black;
    transition-duration: 0.1s;
}

.menu-nav a:hover {
    border-bottom: 5px solid #e76f02;
    transition-duration: 0.1s;
}


main {
    background-color: white;
    line-height: 1.7em;
}

main h2 {
    color: #e76f02;
}

main p {
    padding: 0.3em 0;
}

#infos-carte {
    display: flex;
}

#infos-carte ul {
    list-style-type: circle;
}

figure {
    display: flex;
    flex-direction: column;
    align-items: center;
}

figure img {
    max-width: 100%;
    width: 700px;
    margin-top: 1em;
    box-shadow: 0 3px 10px black;
    transition-duration: 0.2s;
}

figure img:hover {
    opacity: 0.5;
    transition-duration: 0.3s;
}

figure figcaption {
    margin-top: 0.3em;
    margin-bottom: 5em;
    font-size: 0.7em;
}

.sources-main {
    font-size: 0.8em;
    color: #4a4949;
}

.sources-main a {
    color: #4a4949;
}


table {
    border: 2px solid black;
    border-collapse: collapse;
}

thead {
    border-bottom: 2px solid black;
}

td {
    text-align: center;
}

tr:nth-of-type(2n){
    background-color: lightgrey;
}

form {
    display: flex;
    flex-direction: column;
}

form * {
    font-family: 'Montserrat', sans-serif;
}

fieldset, input, select, textarea {
    border: 2px solid #979494;
}

form fieldset div {
    display: flex;
    padding: 0;
    line-height: 0;
}

form fieldset div input {
    margin-right: 0.8em;
    margin-left: -0.5em;
    margin-top: 0;
}

form textarea {
    resize: none;
}

form button {
    background-color: #e76f02;
    border: 3px solid #e76f02;
    transition-duration: 0.3s;
    font-weight: bold;
}

form button:hover {
    background-color: white;
    transition-duration: 0.3s;
}


aside {
    background-color: white;
    display: flex;
}

aside h2 {
    text-align: center;
    color: black;
}

#logo-apps {
    display: flex;
    justify-content: space-around;
}


.logo-gmaps {
    margin: 5px;
    width: 65px;
    transition-duration: 0.2s;
}

.logo-gmaps:hover {
    margin: -5.8px;
    width: 80px;
    transition-duration: 0.2s;
}

.logo-tcl {
    margin: 5px;
    width: 80px;
    transition-duration: 0.2s;
}

.logo-tcl:hover {
    margin: 0;
    width: 90px;
    transition-duration: 0.2s;
}

.logo-velov {
    margin: 5px;
    margin-bottom: 1em;
    width: 100px;
    transition-duration: 0.2s;
}

.logo-velov:hover {
    margin: 0;
    margin-bottom: 1em;
    width: 110px;
    transition-duration: 0.2s;
}

.logo-moovit {
    margin: 10px;
    width: 70px;
    transition-duration: 0.2s;
}

.logo-moovit:hover {
    margin: 3.9px;
    width: 80px;
    transition-duration: 0.2s;
}


footer {
    background-color: lightgray;
}

footer #infos-simples {
    display: flex;
    border-bottom: 1px solid #4a4949;
    margin-right: 0;
}


footer section h3 {
    text-transform: uppercase;
}

#icone-apps {
    display: flex;
}

#icone-apps * {
    margin-left: 0;
}

#sources a {
    display: flex;
    text-decoration: none;
    color: black;
}

#sources a:hover {
    color: #e76f02;
}

footer > p {
    color: #4a4949;
}


@media (min-width: 700px) {

    body {
        grid-template-columns: 20% 1fr 20%;
        grid-template-rows: 100% 1fr 1fr;
    }


    header {
        grid-area: 1/2/2/4;
    }

    .image-header {
        min-width: 800px;
        width: 100%;
    }

    header h1 {
        padding: 0 4em;
        font-size: 3em;
    }


    nav {
        padding: 0.8em 2em;
        grid-area: 1/1/2/2;
        flex-direction: column;
        align-items: center;
        text-align: center;
        font-size: 1.3em;
        border-right: 15px solid #e76f02;
    }

    .logo-ecodoua {
        min-width: 130px;
        width: 85%;
        margin: 0.5em 0;
    }

    nav h2 {
        color: black;
        font-size: 1.3em;
        text-align: center;
    }

    .menu-nav ul {
        padding-left: 0;
        line-height: 4em;
    }

    nav a {
        padding: 0.4em;
    }


    main {
        padding: 0.5em 0;
        margin-bottom: 3em;
        grid-area: 2/2/3/3;
        font-size: 1.3em;
        padding-right: 3em;
    }

    main h2 {
        margin-top: 2em;
    }

    #infos-carte {
        flex-direction: row;
    }

    #infos-carte div {
        padding-right: 5em;
    }


    table {
        font-size: 1em;
        margin-top: 3em;
        width: 95%;
        border: 2px solid black;
        border-collapse: collapse;
    }

    thead tr :nth-of-type(odd):not(th:first-of-type), tbody tr :nth-of-type(odd):not(th:first-of-type) {
        display: none;
    }

    thead th{
        padding: 1.5em;
    }

    thead{
        font-size: 1em;
        border: 2px solid black;
    }

    td{
        text-align: center;
    }

    tr * {
        padding: 0.5em;
    }

    tr:nth-of-type(2n){
        background-color: lightgrey;
    }


    form {
        display: flex;
        flex-direction: column;
        margin: 3em 8em;
        margin-bottom: 1em;
    }

    form * {
        padding: 1em 1em;
        margin: 0.3em 0;
        font-size: 0.9em;
    }

    form fieldset {
        padding: 0.5em 0.8em;
        font-size: 1em;
        border-color: #757575;
    }

    form fieldset legend {
        padding: 0 0.5em;
        margin: 0 -0.5em;
    }

    form fieldset input:not(:nth-of-type(1)){
        margin-left: 2em;
    }

    form fieldset div {
        flex-direction: row;
    }

    form select {
        padding: 1em 0.8em;
    }

    form textarea {
        resize: none;
    }

    form button {
        margin: 0.4em 8em;
    }


    aside {
        padding: 4.5em 0;
        grid-area: 2/3/3/4;
        flex-direction: column;
        justify-content: left;
        line-height: 3em;
    }

    .aside-line {
        border-left: 5px solid #e76f02;
    }

    aside h2 {
        padding: 0 1.5em;
        margin: 0;
        font-size: 1.5em;
        line-height: 1.5em;
        margin-bottom: 2em;
    }

    #logo-apps {
        flex-direction: column;
        text-align: center;
        line-height: 8em;
    }


    footer {
        grid-area: 3/1/4/4;
        background-color: lightgray;
        text-align: center;
        margin-top: 5em;
        padding: 2.8em 4em;
    }
    
    footer #infos-simples {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        border-bottom: 1px solid #4a4949;
        padding-bottom: 2em;
        margin-right: 0;
    }
    
    footer section {
        margin-right: 5em;
        text-align: left;
    }
    
    footer section h3 {
        text-transform: uppercase;
        margin-bottom: 1.2em;
    }
    
    #icone-apps {
        display: flex;
        flex-direction: row; 
        margin-top: 1.7em; 
    }
    
    #icone-apps * {
        width: 50px;
        margin: 0 0.7em;
        margin-left: 0;
    }
    
    #sources a {
        display: flex;
        flex-direction: column;
        margin: 1em 0;
        text-decoration: none;
        color: black;
    }
    
    #sources a:hover {
        color: #e76f02;
    }
    
    footer > p {
        text-align: left;
        margin: 2em 0;
        color: #4a4949;
        margin-bottom: 0.5em;
    }
    
    
    caption {
        font-size: 0.5em;
    }
}

@media (max-width: 700px) {

    body {
        grid-template-columns: 1fr;
        grid-template-rows: 15% 40% 1fr 1fr 1fr;
    }
    
    
    header {
        grid-area: 2/1/3/2;
    }

    .image-header {
        min-width: 600px;
        width: 100%;
    }
    
    header h1 {
        padding: 0 1em;
        font-size: 2em;
    }
    
    
    nav {
        padding: 0 1em;
        grid-area: 1/1/2/2;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        font-size: 1.5em;
        border-bottom: 10px solid #e76f02;
    }
    
    .logo-ecodoua {
        width: 20%;
        margin-left: -0.2em;
    }

    .menu-nav h2 {
        display: none;
    }

    .menu-nav * {
        display: inline;
        margin-left: 0.5em;
    }

    main {
        padding: 0;
        grid-area: 3/1/4/2;
        padding: 0 1.5em;
        font-size: 1.8em;
        line-height: 1.7em;
    }
    
    main h2 {
        margin-top: 2em;
        line-height: 1.2em;
    }

    #infos-carte {
        flex-direction: column;
    }
    
    
    table {
        display: flex;
        margin: 0 1em;
        flex-direction: column;
        font-size: 1em;
        margin-top: 2.5em;
        justify-content: center;
    }

    table * {
        display: flex;
        flex-direction: column;
        width: 100%;
    }
    
    thead :not(:nth-of-type(1)){
        display: none;
    }

    thead, tbody tr {
        padding: 0.5em 0;
    }
    
    tbody tr :nth-of-type(even){
        display: none;
    }

    th{
        padding: 0.4em 0;
    }
    
    td {
        padding: 0.4em 0;
    }

    .sources-main {
        text-align: center;
    }
    
    
    form {
        margin: 2em 1em;
    }
    
    form * {
        padding: 0.8em 1em;
        margin: 0.3em 0;
        font-size: 0.9em;
    }
    
    form fieldset {
        margin-top: 0.1em;
        padding: 0.5em 0.8em;
        font-size: 1em;
    }
    
    form fieldset legend {
        padding: 0 0.5em;
        margin: 0 -0.5em;
    }

    form fieldset div {
        flex-direction: column;
    }
    
    form select {
        padding: 1em 0.8em;
    }

    
    aside {
        padding: 3em 1.8em;
        margin-top: 4em;
        grid-area: 4/1/5/2;
        flex-direction: row;
        justify-content: center;
    }
    
    .aside-line {
        border-top: 5px solid #e76f02;
    }
    
    aside h2 {
        padding-top: 1em;
        padding-bottom: 0.5em;
        font-size: 1.9em;
    }
    
    #logo-apps {
        flex-direction: row;
        align-items: center;
    }
    
    .logo-velov {
        padding-top: 22px;
    }
    

    footer {
        grid-area: 5/1/6/2;
        justify-content: center;
        text-align: center;
        margin-top: 5em;
        padding: 2.8em;
        font-size: 1.2em;
    }
    
    footer #infos-simples {
        flex-direction: column;
        padding-bottom: 2em;
    }

    footer #infos-simples section {
        margin: 0.7em 0;
    }
    
    footer section h3 {
        margin-bottom: 1.2em;
    }
    
    #icone-apps {
        flex-direction: row; 
        justify-content: center;
        margin-top: 1.7em;
        margin-bottom: 0.7em;
        margin-right: 2em;
    }
    
    #icone-apps * {
        width: 70px;
        margin: 0 1em;
    }
    
    #sources a {
        flex-direction: column;
        margin: 1em 0;
        text-decoration: none;
    }
    
    footer > p {
        margin: 2em 0;
        margin-bottom: 0.5em;
    }
}